pub struct QuoteRecord {
pub symbol: String,
pub exchange: Option<String>,
pub last_price: Option<Decimal>,
pub ask: Option<Decimal>,
pub bid: Option<Decimal>,
pub ask_vol: Option<Decimal>,
pub bid_vol: Option<Decimal>,
pub ob_ms_timestamp: Option<i64>,
pub lotsize: Option<Decimal>,
}Expand description
A quotation: the item of GET /md/v2/Securities/{symbols}/quotes and the message of the quotes
subscription.
Fields§
§symbol: StringThe ticker.
exchange: Option<String>MOEX or SPBX.
last_price: Option<Decimal>The last price.
ask: Option<Decimal>The best ask.
bid: Option<Decimal>The best bid.
ask_vol: Option<Decimal>The number of lots at the best ask.
bid_vol: Option<Decimal>The number of lots at the best bid.
ob_ms_timestamp: Option<i64>The time of the order book the bid and ask come from, Unix milliseconds.
lotsize: Option<Decimal>The size of the lot.
Trait Implementations§
Source§impl Clone for QuoteRecord
impl Clone for QuoteRecord
Source§fn clone(&self) -> QuoteRecord
fn clone(&self) -> QuoteRecord
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for QuoteRecord
impl Debug for QuoteRecord
Source§impl Default for QuoteRecord
impl Default for QuoteRecord
Source§fn default() -> QuoteRecord
fn default() -> QuoteRecord
Returns the “default value” for a type. Read more
Source§impl<'de> Deserialize<'de> for QuoteRecord
impl<'de> Deserialize<'de> for QuoteRecord
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for QuoteRecord
impl RefUnwindSafe for QuoteRecord
impl Send for QuoteRecord
impl Sync for QuoteRecord
impl Unpin for QuoteRecord
impl UnsafeUnpin for QuoteRecord
impl UnwindSafe for QuoteRecord
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more